D-Bus: DBusObjectSubtree Struct Reference

D-Bus 1.14.8

Data Fields
DBusObjectSubtree Struct Reference
D-Bus secret internal implementation details » A hierarchy of objects with container-contained relationship

Struct representing a single registered subtree handler, or node that's a parent of a registered subtree handler. More...

## Data Fields
DBusAtomic | refcount
| Reference count.
DBusObjectSubtree * | parent
| Parent node.
DBusObjectPathUnregisterFunction | unregister_function
| Function to call on unregister.
DBusObjectPathMessageFunction | message_function
| Function to handle messages.
void * | user_data
| Data for functions.
DBusObjectSubtree ** | subtrees
| Child nodes.
int | n_subtrees
| Number of child nodes.
int | max_subtrees
| Number of allocated entries in subtrees.
unsigned int | invoke_as_fallback: 1
| Whether to invoke message_function when child nodes don't handle the message.
char | name [1]
| Allocated as large as necessary.

## Detailed Description

Struct representing a single registered subtree handler, or node that's a parent of a registered subtree handler.

If message_function != NULL there's actually a handler at this node.

Definition at line 71 of file dbus-object-tree.c.

## Field Documentation

## ◆ invoke_as_fallback

unsigned int DBusObjectSubtree::invoke_as_fallback

Whether to invoke message_function when child nodes don't handle the message.

Definition at line 81 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_dispatch_and_unlock(), _dbus_object_tree_new(), and _dbus_object_tree_register().

## ◆ max_subtrees

int DBusObjectSubtree::max_subtrees

Number of allocated entries in subtrees.

Definition at line 80 of file dbus-object-tree.c.

## ◆ message_function

DBusObjectPathMessageFunction DBusObjectSubtree::message_function

Function to handle messages.

Definition at line 76 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_dispatch_and_unlock(), and _dbus_object_tree_register().

## ◆ n_subtrees

int DBusObjectSubtree::n_subtrees

Number of child nodes.

Definition at line 79 of file dbus-object-tree.c.

## ◆ name

char DBusObjectSubtree::name[1]

Allocated as large as necessary.

Definition at line 82 of file dbus-object-tree.c.

## ◆ parent

DBusObjectSubtree* DBusObjectSubtree::parent

Parent node.

Definition at line 74 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_dispatch_and_unlock().

## ◆ refcount

DBusAtomic DBusObjectSubtree::refcount

Reference count.

Definition at line 73 of file dbus-object-tree.c.

## ◆ subtrees

DBusObjectSubtree** DBusObjectSubtree::subtrees

Child nodes.

Definition at line 78 of file dbus-object-tree.c.

## ◆ unregister_function

DBusObjectPathUnregisterFunction DBusObjectSubtree::unregister_function

Function to call on unregister.

Definition at line 75 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_register().

## ◆ user_data

void* DBusObjectSubtree::user_data

Data for functions.

Definition at line 77 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_dispatch_and_unlock(), _dbus_object_tree_get_user_data_unlocked(), and _dbus_object_tree_register().

The documentation for this struct was generated from the following file:

- dbus-object-tree.c